using System;
using System.Data;
using System.Text;
using System.IO;
using System.IO.Ports;
using System.Threading;


// Program start class
class PD1200 
{

// Main begins program execution.
 static void Main() 
 {

 try
  {
    //establish method call 
     PD1200 timee = new PD1200();
//*******************************************************************************     
   // Write to console
      Console.Clear();
      Console.WriteLine("Pole Display Test Application (64-bit compatable)");
      Console.WriteLine("");
      Console.WriteLine("");
      Console.WriteLine("   ...sending data to " + "COM2" +" ...");
//*******************************************************************************
		
// Instantiate the communications  // port with some basic settings

    SerialPort port = new SerialPort("COM2", 9600, Parity.None, 8, StopBits.One);

    //Open the port for communications
     port.Open();

   //clear the display
    port.Write((Convert.ToChar(31)).ToString());

   //set to dc1 mode
     port.Write((Convert.ToChar(17)).ToString());


     for (int X1=1; X1 < 6; X1++)
      {
         for (int X2=32; X2 < 128; X2++)
          {
           port.Write((Convert.ToChar(X2)).ToString());  //convert to ascii
           timee.tttme();
          }   
          timee.tttme();
      }  

     //clear the display
     port.Write((Convert.ToChar(31)).ToString());

     //set to dc1 mode
     port.Write((Convert.ToChar(17)).ToString());


   //illuminate blocks...
     for (int X1=1; X1 < 41; X1++)
      {
        port.Write(new byte[] { 0xDB},0,1);    
        timee.ttme();  //wait for X miliseconds
      }             
      port.Close();

   } // end of try method


//*******************************************************************************

catch(Exception)
  {
  Console.WriteLine("   ...failure cannot open port..."); //display the failure
  }
 }

//*******************************************************************************
 //delay between character illumination...
    void ttme()
    {
      Thread.Sleep(200);
    }
    void tttme()
    {
      Thread.Sleep(50);
    }
 
//*******************************************************************************

}  //end of main program
